package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 紧急联系人对象 t_emergent_people
 * 
 * @author ruoyi
 * @date 2023-08-25
 */
public class TEmergentPeople extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Integer id;

    /** 用户档案id */
    @Excel(name = "用户档案id")
    private Integer profileId;

    /** 联系人姓名 */
    @Excel(name = "联系人姓名")
    private String name;

    /** 电话 */
    @Excel(name = "电话")
    private String telno;

    /** 关系 */
    @Excel(name = "关系")
    private Integer relation;

    /** 是否接收消息 */
    @Excel(name = "是否接收消息")
    private Integer isConn;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setProfileId(Integer profileId) 
    {
        this.profileId = profileId;
    }

    public Integer getProfileId() 
    {
        return profileId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setTelno(String telno) 
    {
        this.telno = telno;
    }

    public String getTelno() 
    {
        return telno;
    }
    public void setRelation(Integer relation) 
    {
        this.relation = relation;
    }

    public Integer getRelation() 
    {
        return relation;
    }
    public void setIsConn(Integer isConn) 
    {
        this.isConn = isConn;
    }

    public Integer getIsConn() 
    {
        return isConn;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("profileId", getProfileId())
            .append("name", getName())
            .append("telno", getTelno())
            .append("relation", getRelation())
            .append("isConn", getIsConn())
            .toString();
    }
}
